function loglik = CUGMM_loglik(gmat)
%Calculate the CUGMM objective based on matrix of moment values
Sigmahat=cov(gmat);
obs=size(gmat,1);
g=mean(gmat)';
%loglik=-0.5*obs*g'*(Sigmahat\g);
loglik=-0.5*obs*g'*pinv(Sigmahat)*g;
end

